Package org.python.modules.jffi

# Class JITSignature

java.lang.Object
org.python.modules.jffi.JITSignature

public final class JITSignature extends Object

## Constructor Summary

Constructors
Constructor
Description
`JITSignature(NativeType resultType, NativeType[] parameterTypes, boolean hasResultConverter, boolean[] hasParameterConverter, com.kenai.jffi.CallingConvention convention, boolean ignoreError)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`final com.kenai.jffi.CallingConvention`
`getCallingConvention()`
`final int`
`getParameterCount()`
`final NativeType`
`getParameterType(int parameterIndex)`
`final NativeType`
`getResultType()`
`int`
`hashCode()`
`final boolean`
`hasParameterConverter(int parameterIndex)`
`final boolean`
`hasResultConverter()`
`boolean`
`isIgnoreError()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JITSignature

public JITSignature(NativeType resultType, NativeType[] parameterTypes, boolean hasResultConverter, boolean[] hasParameterConverter, com.kenai.jffi.CallingConvention convention, boolean ignoreError)

## Method Details

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### getResultType

public final NativeType getResultType()

### getParameterType

public final NativeType getParameterType(int parameterIndex)

### getCallingConvention

public final com.kenai.jffi.CallingConvention getCallingConvention()

### getParameterCount

public final int getParameterCount()

### hasResultConverter

public final boolean hasResultConverter()

### hasParameterConverter

public final boolean hasParameterConverter(int parameterIndex)

### isIgnoreError

public boolean isIgnoreError()